#include <bits/stdc++.h>

using namespace std;

int main()
{
    string s; cin>>s;

    int x = s.size() - 1, n = 0;

    int broj;
    istringstream iss(s);
    iss>>broj;

    long long int deset = pow(10, x);

    for(long long int i = deset; i >= 1; i /= 10)
    {
        if(broj < deset*5)
        {
            if(broj >= deset*2)
            {
                n += broj/(deset*2);
                broj %= deset*2;
            }
            else
            {
                if(broj >= deset)
                {
                    n += broj/(deset);
                    broj %= deset;
                }
            }
        }
        else
        {
            n += broj/(deset*5);
            broj %= deset*5;
        }

        if(broj < deset) deset /= 10;

       // cout<<n<<" ";
    }

    //cout<<"n pred ostatak "<<n<<", a broj je "<<broj<<endl;

    while(broj > 0)
    {
        if(broj < 5)
        {
            if(broj >= 2)
            {
                n += broj/2;
                broj %= 2;
            }
            else
            {
                n += broj;
                broj = 0;
            }
        }
        else
        {
            n += broj/5;
            broj %= 5;
        }

        //cout<<broj<<endl;
    }

    cout<<n;

    return 0;
}